Bug 221480 - i810 driver fails to set / detect correct resolutions with 915 chips
i810 driver fails to set / detect correct resolutions with 915 chips
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-i810 (Show other bugs)
6
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: X/OpenGL Maintenance List
http://irvine.projecthugo.co.uk/xorg-...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-01-04 14:25 EST by Matt Darcy
Modified: 2008-08-02 19:40 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-08-11 16:26:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Matt Darcy 2007-01-04 14:25:27 EST
Description of problem:

When using the Intel 915 chipset with xorg 7.1.1 xorg i810 driver the correct
optimum resolution is neither selected or able to be forced.

Using the i810 driver to get a 1280x720 resolution with the sagem HD-L27
http://www.wedgwood-group.com/sagem_axium_hd-l27_27-inch_lcd_tv.htm it is
impossible.

Using development modesetting driver it is possible to get the correct
resolution however rather than displaying the screen to scale the screen still
runs at a high resolution that fails to fit within the confines of the screen
and ends up scrolling around. 

Version-Release number of selected component (if applicable):


How reproducible:
evey time

Steps to Reproduce:
1.install and update FC6
2.Use Intel 915 chip with i810 driver connected to LCD TV
3.start X and configure for 1280x720 resolution
  
Actual results:

screen fails to start, starts at a lower resolution or strange large resolution
Expected results:


Additional info:

Logs are available in the URL in this bug along with configuration details.
Additional information / tests can be run at your request.
Comment 1 Matěj Cepl 2007-01-05 07:13:44 EST
I am sorry, but we cannot work on the basis of information somewhere on the web.
Could you please, do it once more here. Please, attach your X server config file
(/etc/X11/xorg.conf) and X server log file (/var/log/Xorg.*.log) to the bug
report as individual uncompressed file attachments using the bugzilla file
attachment link below.

Could you please also try to run without any /etc/X11/xorg.conf whatsoever and
let X11 autodetect your display and video card? Attach to this bug
/var/log/Xorg.0.log from this attempt as well, please.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 2 Matěj Cepl 2007-07-03 20:05:20 EDT
Actually, the URL mentioned below seems to be non-reponsive, so I cannot even
attach the information myself. Could you please attach the files required in
comment 1? Unless you respond in two weeks (the comment 1 is already half a year
old) I will have to close this bug as INSUFFICIENT_DATA.
Comment 3 Matt Darcy 2007-07-04 05:05:16 EDT
The URL is dead as a lot of time has passed and only one or two guys seemed 
interested in progressing this forward/accepting new info on it. 

I am happy to regnerate and provide the logs for this bug if you feel it a 
worth while bug to be worked on / resolved.
Comment 4 Matěj Cepl 2007-07-04 09:58:39 EDT
If you can reproduce this bu on supported distro (which includes FC6 of course)
then we are certainly very interested in any information on this bug. See the
instructions in comment 1 about what we need. Thank you very much.
Comment 5 Matěj Cepl 2007-08-11 16:26:46 EDT
No information requested was provided, so I close this bug as INSUFFICIENT_DATA.
Reporter, if you could, please, reopen with additional information.

Note You need to log in before you can comment on or make changes to this bug.